This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 119254 - wrong owner of /var/named which blocks the ZONE transfer
wrong owner of /var/named which blocks the ZONE transfer
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: bind (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-27 15:21 EST by Yavor Trapkov
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-28 19:27:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yavor Trapkov 2004-03-27 15:21:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031016

Description of problem:
drwxr-x--- 2 root named /var/named 

when configured as a secondary, named downloads the DNS Zones to
/var/named

the following error appears:
  dumping master file" tmp-XXXXYfgsdf: open: permission denied
  failed while receiving responces: permission denied

as the server starts as "named" user and can not write into /var/named

FIX: change drwxr-x--- 2 named named /var/named

Version-Release number of selected component (if applicable):
bind-9.2.2.21

How reproducible:
Always

Steps to Reproduce:
1. install bind-9.2.2.21
2. define a secondary DNS Zone
3. start the server and see the log file
    

Additional info:
Comment 1 Daniel Walsh 2004-03-28 19:27:41 EST
For security reasons the dir has been changed to root:named.  If you
want to down load zone files, you should create a subdirectory,
slaves.  Then chown named:named slaves.  Now set up you named.conf
gile to put the secondary files in there.

Note You need to log in before you can comment on or make changes to this bug.